Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.pluginxml
Class FolderTag

    java.lang.Object
      org.hyperic.hq.product.pluginxml.BaseTag
          org.hyperic.hq.product.pluginxml.FolderTag

All Implemented Interfaces:
  org.hyperic.util.xmlparser.XmlAttrHandler, org.hyperic.util.xmlparser.XmlEndAttrHandler, org.hyperic.util.xmlparser.XmlFilterHandler, org.hyperic.util.xmlparser.XmlTagEntryHandler, org.hyperic.util.xmlparser.XmlTagExitHandler, org.hyperic.util.xmlparser.XmlTagHandler

    public class FolderTag

extends BaseTag
implements org.hyperic.util.xmlparser.XmlEndAttrHandler

Constructor Summary
`FolderTag(BaseTag parent)`

Method Summary
`void` | `endAttributes()`
`MonitoredFolderConfig` | `getMonitoredFolderConfig()`
`String` | `getName()`
`String[]` | `getOptionalAttributes()`
`String[]` | `getRequiredAttributes()`
`org.hyperic.util.xmlparser.XmlTagInfo[]` | `getSubTags()`

Methods inherited from class org.hyperic.hq.product.pluginxml.BaseTag
`enter, exit, filterAttrValue, getAttributes, getLog, getMergedSubTags, getMergedSubTags, handleAttribute, handleAttribute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FolderTag

    public FolderTag(BaseTag parent)

Parameters:
  `parent` -

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.hyperic.util.xmlparser.XmlTagHandler`
  Specified by:
    `getName` in class `BaseTag`

### getOptionalAttributes

    public String[] getOptionalAttributes()

  Overrides:
    `getOptionalAttributes` in class `BaseTag`

### getRequiredAttributes

    public String[] getRequiredAttributes()

  Overrides:
    `getRequiredAttributes` in class `BaseTag`

### endAttributes

    public void endAttributes()
                       throws org.hyperic.util.xmlparser.XmlAttrException

  Specified by:
    `endAttributes` in interface `org.hyperic.util.xmlparser.XmlEndAttrHandler`
  Throws:
    `org.hyperic.util.xmlparser.XmlAttrException`

### getMonitoredFolderConfig

    public MonitoredFolderConfig getMonitoredFolderConfig()

### getSubTags

    public org.hyperic.util.xmlparser.XmlTagInfo[] getSubTags()

  Specified by:
    `getSubTags` in interface `org.hyperic.util.xmlparser.XmlTagHandler`
  Overrides:
    `getSubTags` in class `BaseTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.